﻿Imports System

Module Program
  Const EVENTS = 20
  Const COUNTRIES = 10
  
  Sub Main(args As String())
    Dim j, i, left, right, middle, index_position As Integer
    Dim found As Boolean
    Dim needle As String
  
    Dim country_names(COUNTRIES - 1) As String
    Dim event_descriptions(EVENTS - 1, COUNTRIES - 1) As String
    For j = 0 To COUNTRIES - 1
      Console.Write("Enter Country No. " & (j + 1) & ": ")
      country_names(j) = Console.ReadLine()
      For i = 0 To EVENTS - 1
        Console.Write("Enter description for event No. " & (i + 1) & ": ")
        event_descriptions(i, j) = Console.ReadLine()
      Next
    Next
  
    Console.Write("Enter a country to search: ")
    needle = Console.ReadLine().ToUpper()
  
    'Country names are entered alphabetically.
    'Use the binary search algorithm to search for needle.
    left = 0
    right = EVENTS - 1
    found = False
    Do While left <= right And Not found
      middle = (left + right) \ 2
  
      If country_names(middle).ToUpper().CompareTo(needle) > 0 Then
        right = middle - 1
      ElseIf country_names(middle).ToUpper().CompareTo(needle) < 0 Then
        left = middle + 1
      Else
        found = True
        index_position = middle
      End If
    Loop
  
    If Not found Then
      Console.WriteLine("No country found!")
    Else
      For i = 0 To EVENTS - 1
        Console.WriteLine(event_descriptions(i, index_position))
      Next
    End If
  End Sub
End Module
