﻿Imports System

Module Program
  Function prepend_title(first_name As String, last_name As String, 
                         Optional title As String = "Mr", 
                         Optional reverse As Boolean = False) As String
    Dim return_value As String
  	
    If Not reverse Then
      return_value = title & " " & first_name & " " & last_name
    Else
      return_value = title & " " & last_name & " " & first_name
    End If
  
    Return return_value
  End Function
  
  Sub Main(args As String())
    Console.WriteLine(prepend_title("John", "King"))          'It displays: Mr John King
    Console.WriteLine(prepend_title("Maria", "Miller", "Ms")) 'It displays: Ms Maria Miller
  
    'Display: Ms Miller Maria
    Console.WriteLine(prepend_title("Maria", "Miller", "Ms", True))
  
    'Call the function using a named argument
    Console.WriteLine(prepend_title("John", "King", reverse:=True)) 'It displays: Mr King John
  End Sub
End Module
